Subject: [bug#43477] [PATCH 0/1] guix: graph: Add 'plain' backend.

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 18 Sep 2020 14:34:35 +0200

zimoun <[email-masked]> writes:

> Dear,
>
> I am always annoyed when I use "guix graph" because most of the time I run:
>
>   guix graph htop | grep label
>
> or something along these lines.  Instead, the patch avoids the grep part:
>
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix graph -b plain htop
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> --8<---------------cut here---------------end--------------->8---

Is that still a graph, though…?

It reminds me of “guix gc -R /gnu/store/…-something”, except that in
your case the output is for things that haven’t necessarily been
realized as store items yet.

-- 
Ricardo